curl --request GET \
--url https://api.zivio.net/api/v3/bids \
--header 'X-API-Key: <api-key>' \
--header 'zivio-tenant-id: <api-key>'import requests
url = "https://api.zivio.net/api/v3/bids"
headers = {
"X-API-Key": "<api-key>",
"zivio-tenant-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', 'zivio-tenant-id': '<api-key>'}
};
fetch('https://api.zivio.net/api/v3/bids', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bids": [
{
"id": "132",
"rate": "1500.00",
"rate_ccy": "GBP",
"eliminated": "false",
"proposal": "This is our proposal",
"awarded": "true",
"total_score": "0.656",
"quality_score": "0.656",
"cost_score_auto": "0.656",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"status": "Submitted",
"version": "1",
"managed_bid": "true",
"submitted_at": "2023-11-07T05:31:56Z",
"shortlisted_at": "2023-11-07T05:31:56Z",
"selected_at": "2023-11-07T05:31:56Z",
"bafo": "true",
"custom_fields": {
"key": "value"
},
"job": {
"id": "77",
"title": "Project title",
"description": "Project description"
},
"supplier": {
"id": "77",
"name": "Company Inc",
"email": "jack_jones@companyinc.com",
"vetting_status": "PASSED",
"tax_number": "9876543234",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"bid_milestones": [
{
"id": "66",
"title": "Title of Milestone",
"details": "Details of Milestone",
"due_on": "2023-11-07T05:31:56Z",
"rate": "1500.00",
"rate_ccy": "GBP",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"line_item_proposals": [
{
"id": "66",
"item_type": "service",
"name": "Item description",
"manufacturer_name": "Acme",
"duemanufacturer_part_number_on": "<string>",
"quantity": "10.0",
"price": "30000.00",
"price_ccy": "GBP",
"net_total_price": "300000.00",
"uom": "Each",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"custom_fields": {
"key": "value"
}
}
]
}
]
}Retrieve and filter bids
Query Parameters
Date range [YYYY-MM-DD+TO+YYYY-MM-DD] to search based on created timestamp for object.
Date range [YYYY-MM-DD+TO+YYYY-MM-DD] to search based on updated timestamp for object.
Date range [YYYY-MM-DD+TO+YYYY-MM-DD] to search based on submitted timestamp for object.
Date range [YYYY-MM-DD+TO+YYYY-MM-DD] to search based on shortlisted timestamp for object.
Date range [YYYY-MM-DD+TO+YYYY-MM-DD] to search based on selected timestamp for object.
Number of results returned per request
Paginate results when number of results exceeds limit
Filter objects by supplier id
Filter objects by eliminated status (true/false)
Filter objects by awarded status (true/false)
Results are sorted by created desc as default. Ordering may be specified, available options are ['created', 'updated'], which can be combined in a comma separated list, e.g. updated:desc,created:asc
Response
ok
Show child attributes
Show child attributes

